diff --git a/pgadmin/frm/frmQuery.cpp b/pgadmin/frm/frmQuery.cpp
index 45a07ea..2338970 100644
--- a/pgadmin/frm/frmQuery.cpp
+++ b/pgadmin/frm/frmQuery.cpp
@@ -1182,9 +1182,16 @@ void frmQuery::OnChangeNotebook(wxAuiNotebookEvent &event)
 		}
 		else
 		{
-			manager.GetPane(wxT("outputPane")).Show(false);
-			manager.GetPane(wxT("scratchPad")).Show(false);
-			manager.Update();
+			wxAuiPaneInfo outputPaneInfo = manager.GetPane(wxT("outputPane"));
+			wxAuiPaneInfo scratchPadInfo = manager.GetPane(wxT("scratchPad"));
+
+			if (outputPaneInfo.IsOk() == true && scratchPadInfo.IsOk() == true && outputPaneInfo.IsShown() == true && scratchPadInfo.IsShown() == true)
+			{
+				outputPaneInfo.Show(false);
+				scratchPadInfo.Show(false);
+				manager.Update();
+			}
+
 			viewMenu->Enable(MNU_OUTPUTPANE, false);
 			viewMenu->Enable(MNU_SCRATCHPAD, false);
 
